Bug 242898

Summary: misc/mc: Allow builds with all Python versions
Product: Ports & Packages Reporter: basil
Component: Individual Port(s)Assignee: Ben Woods <woodsb02>
Status: Closed FIXED    
Severity: Affects Only Me CC: python
Priority: --- Keywords: easy
Version: LatestFlags: woodsb02: maintainer-feedback+
koobs: merge-quarterly-
Hardware: Any   
OS: Any   
Attachments:
Description Flags
mc4.8.23_1.diff woodsb02: maintainer-approval-

Description basil 2019-12-26 19:48:17 UTC
Created attachment 210239 [details]
mc4.8.23_1.diff

building and working whith default python
Comment 1 Ben Woods freebsd_committer 2020-01-05 22:54:40 UTC
Comment on attachment 210239 [details]
mc4.8.23_1.diff

Hi basil,

Thanks for your patch. This has also been discussed on the FreeBSD forums here:
https://forums.freebsd.org/threads/midnight-commander-and-python3-support.71407/#post-440925

Looking at the upstream bugs for the 2 mc plugins that depend on python:
- #3936 uc1541 - plugin has been fixed for the upcoming mc 4.8.24 release [1]
- #3904 s3+ - plugin currently broken anyway [2]

Given this, when I update the port to 4.8.24 (after it is released), I will change the dependency to python3. The good news is, it seems the 4.8.24 release might be imminent [3].

I therefore propose we close this bug for now, and wait for the 4.8.24 release. What are your thoughts? Do you agree?

Regards,
Ben

[1] https://midnight-commander.org/ticket/3936
[2] https://midnight-commander.org/ticket/3904
[3] https://mail.gnome.org/archives/mc-devel/2020-January/msg00000.html
Comment 2 Ben Woods freebsd_committer 2020-01-05 22:59:49 UTC
Marking this as closed for now - we can re-open it if you disagree.

According to mc upstream, python 2.7 is required until the 4.8.24 release (soon).
Comment 3 commit-hook freebsd_committer 2020-01-20 22:56:13 UTC
A commit references this bug:

Author: woodsb02
Date: Mon Jan 20 22:55:56 UTC 2020
New revision: 523694
URL: https://svnweb.freebsd.org/changeset/ports/523694

Log:
  misc/mc: Update to 4.8.24

  Upstream have also added python 3 support with this release.

  Changes this release:
    https://midnight-commander.org/wiki/NEWS-4.8.24

  PR:		242898

Changes:
  head/misc/mc/Makefile
  head/misc/mc/distinfo
  head/misc/mc/pkg-plist